Actualizar libreoffice a la versión 6.4 en Ubuntu 18.04

Si vais a actualizar Libreoffice a la versión 6.4, y observáis que los paquetes han sido retenidos:

 apt upgrade
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias       
Leyendo la información de estado... Hecho
Calculando la actualización... Hecho
Los siguientes paquetes se han retenido:
  libreoffice libreoffice-avmedia-backend-gstreamer libreoffice-base libreoffice-base-core libreoffice-base-drivers libreoffice-calc libreoffice-common libreoffice-core libreoffice-draw
  libreoffice-gnome libreoffice-gtk3 libreoffice-help-en-us libreoffice-help-es libreoffice-impress libreoffice-java-common libreoffice-l10n-es libreoffice-math libreoffice-report-builder
  libreoffice-report-builder-bin libreoffice-sdbc-firebird libreoffice-sdbc-hsqldb libreoffice-sdbc-mysql libreoffice-sdbc-postgresql libreoffice-style-tango libreoffice-writer python3-uno
  uno-libs3 ure
0 actualizados, 0 nuevos se instalarán, 0 para eliminar y 28 no actualizados.
1 no instalados del todo o eliminados.
Se utilizarán 0 B de espacio de disco adicional después de esta operación.
¿Desea continuar? [S/n] 

Probablemente se deba a la librería uno-libs3.

Mi recomendación es que desinstaléis el paquete uno-libs3 y se instalará la versión actualizada de Libreoffice:

apt remove uno-libs3
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias       
Leyendo la información de estado... Hecho
Los paquetes indicados a continuación se instalaron de forma automática y ya no son necesarios.
  libabw-0.1-1 libe-book-0.1-1 libeot0 libepubgen-0.1-1 libfreehand-0.1-1 libmspub-0.1-1 libmwaw-0.3-3 libodfgen-0.1-1 libpagemaker-0.0-0 libreoffice-avmedia-backend-gstreamer
Utilice «apt autoremove» para eliminarlos.
Se instalarán los siguientes paquetes adicionales:
  libjuh-java libjurt-java libreoffice libreoffice-avmedia-backend-gstreamer libreoffice-base libreoffice-base-core libreoffice-base-drivers libreoffice-calc libreoffice-common
  libreoffice-core libreoffice-draw libreoffice-gnome libreoffice-gtk3 libreoffice-impress libreoffice-java-common libreoffice-math libreoffice-report-builder libreoffice-report-builder-bin
  libreoffice-sdbc-firebird libreoffice-sdbc-hsqldb libreoffice-sdbc-mysql libreoffice-sdbc-postgresql libreoffice-style-tango libreoffice-writer libridl-java libuno-cppu3
  libuno-cppuhelpergcc3-3 libuno-purpenvhelpergcc3-3 libuno-sal3 libuno-salhelpergcc3-3 libunoil-java libunoloader-java python3-uno uno-libs-private ure
Paquetes sugeridos:
  gpa libreoffice-grammarcheck libreoffice-help libreoffice-l10n myspell-dictionary openclipart2-libreoffice | openclipart-libreoffice pstoedit unixodbc libofficebean-java libjtds-java
  libsqliteodbc | tdsodbc | odbc-mdbtools libreoffice-evolution seahorse libreofficekit-data bluez default-mysql-server | virtual-mysql-server postgresql
Paquetes recomendados:
  fonts-noto-core fonts-noto-extra fonts-noto-ui-core
Los siguientes paquetes se ELIMINARÁN:
  uno-libs3
Se instalarán los siguientes paquetes NUEVOS:
  libjuh-java libjurt-java libridl-java libuno-cppu3 libuno-cppuhelpergcc3-3 libuno-purpenvhelpergcc3-3 libuno-sal3 libuno-salhelpergcc3-3 libunoil-java libunoloader-java uno-libs-private
Se actualizarán los siguientes paquetes:
  libreoffice libreoffice-avmedia-backend-gstreamer libreoffice-base libreoffice-base-core libreoffice-base-drivers libreoffice-calc libreoffice-common libreoffice-core libreoffice-draw
  libreoffice-gnome libreoffice-gtk3 libreoffice-impress libreoffice-java-common libreoffice-math libreoffice-report-builder libreoffice-report-builder-bin libreoffice-sdbc-firebird
  libreoffice-sdbc-hsqldb libreoffice-sdbc-mysql libreoffice-sdbc-postgresql libreoffice-style-tango libreoffice-writer python3-uno ure
24 actualizados, 11 nuevos se instalarán, 1 para eliminar y 3 no actualizados.
1 no instalados del todo o eliminados.
Se necesita descargar 101 MB de archivos.
Se utilizarán 1.440 kB de espacio de disco adicional después de esta operación.
¿Desea continuar? [S/n] 

Si al realizar la desinstalación del paquete uno-libs3 y actualización del resto de paquetes de libreoffice, se os produce un error al procesar la librería libreoffice-common:

Se encontraron errores al procesar:
 /tmp/apt-dpkg-install-SQy4KD/10-libreoffice-common_1%3a6.4.2-0ubuntu0.18.04.3_all.deb

Ejecutad un apt -f install y se corregirán las dependencias:

apt -f install
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias       
Leyendo la información de estado... Hecho
Corrigiendo dependencias... Listo
Los paquetes indicados a continuación se instalaron de forma automática y ya no son necesarios.
  libabw-0.1-1 libe-book-0.1-1 libeot0 libepubgen-0.1-1 libfreehand-0.1-1 libmspub-0.1-1 libmwaw-0.3-3 libodfgen-0.1-1 libpagemaker-0.0-0 libreoffice-avmedia-backend-gstreamer
Utilice «apt autoremove» para eliminarlos.
Se instalarán los siguientes paquetes adicionales:
  libjuh-java libjurt-java libreoffice-common libridl-java libuno-cppu3 libuno-cppuhelpergcc3-3 libuno-purpenvhelpergcc3-3 libuno-sal3 libuno-salhelpergcc3-3 libunoil-java libunoloader-java
  uno-libs-private
Los siguientes paquetes se ELIMINARÁN:
  uno-libs3
Se instalarán los siguientes paquetes NUEVOS:
  libjuh-java libjurt-java libridl-java libuno-cppu3 libuno-cppuhelpergcc3-3 libuno-purpenvhelpergcc3-3 libuno-sal3 libuno-salhelpergcc3-3 libunoil-java libunoloader-java uno-libs-private
Se actualizarán los siguientes paquetes:
  libreoffice-common
1 actualizados, 11 nuevos se instalarán, 1 para eliminar y 3 no actualizados.
25 no instalados del todo o eliminados.
Se necesita descargar 0 B/28,6 MB de archivos.
Se liberarán 24,9 MB después de esta operación.
¿Desea continuar? [S/n] 

Be the first to comment

Por favor acceder para comentar.